<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>SI-BKD Perguruan tinggi</title>
</head>
<body>

<div layout:fragment="main" class="container">
    <div class="row justify-content-center">
        <div class="col-md-10">
            <div th:if="${success != null}" class="alert alert-success" role="alert">
                <span th:text="${success}"></span>
            </div>

            <div class="row mb-4">
                <div class="col-md-8">
                    <h3 class="text-black">Daftar Perguruan Tinggi</h3>
                </div>
                <div class="col-md-4 justify-content-end" align="right">
                    <a class="btn btn-outline-success pull-right" th:href="@{/perguruan_tinggi/baru}">+ Tambah PT</a>
                </div>
            </div>
            <form method="get">
            <div class="row mb-4">

                <div class="col-md-11">
                    <input type="text" class="form-control" name="cari" th:value="${ada}" placeholder="Cari pengguna berdasarkan nama atau alamat" aria-label="First name">
                </div>
                <div class="col-md-1 d-grid gap-2">
                    <button class="btn btn-success">Cari</button>
                </div>

            </div>
            </form>
            <div class="row mb-5">
                <div class="col-md-12 table-responsive">
                    <table class="table table-striped table-responsive mb-3">
                        <thead class="table-dark bg-success" style="--bs-table-bg:bg-success;">
                        <tr>
                            <th class="p-3">No</th>
                            <th class="p-3">Nama Perguruan Tinggi</th>
                            <th class="p-3">Alamat</th>
                            <th class="p-3">Status</th>
                            <th class="p-3"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="dataPerguruanTinggi,row : ${listPerguruanTinggi}">
                            <td class="align-middle" th:text="${(row.index + 1) + (listPerguruanTinggi.number * listPerguruanTinggi.size)}">1</td>
                            <td class="align-middle" th:text="${dataPerguruanTinggi.getNamaPerguruanTinggi()}">Adi Mulya Suprayogi</td>
                            <td class="align-middle" th:text="${dataPerguruanTinggi.getAlamat()}">suprayogi20@gmail.com</td>
                            <td class="align-middle">
                                <span class="btn btn-success" th:if="${dataPerguruanTinggi.status == dataPerguruanTinggi.status.AKTIF}">AKTIF</span>
                                <span class="btn btn-danger" th:if="${dataPerguruanTinggi.status == dataPerguruanTinggi.status.NONAKTIF}">NONAKTIF</span>
                            </td>
                            <td class="align-middle" width="5px">
                                <a class="btn btn-warning" th:href="@{/perguruan_tinggi/edit(perguruanTinggi=${dataPerguruanTinggi.getId()})}">Edit</a>
                            </td>
                        </tr>

                        </tbody>
                    </table>
                    <nav>
                        <ul class="pagination" sd:pagination="full">
                            <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                            <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                            <li class="active bg-success"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                        </ul>
                    </nav>
                </div>
            </div>

        </div>
    </div>

</div>
</body>
</html>